package _VisualDVM.Visual.Menus.MainMenuBar;
import Common.Visual.Menus.VisualiserMenu;
import _VisualDVM.ComponentsServer.Component.Sapfor.Sapfor;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Visual.Menus.PassesSubMenu;
public class TransformationsMenu extends VisualiserMenu {
    public TransformationsMenu() {
        super("Преобразования", "/icons/Transformations.png");
        add(new PassesSubMenu("Циклы", "/icons/Menu/Loops.png",
                Sapfor.getLoopsTransformationsCodes()));
        addSeparator();
        add(new PassesSubMenu("Приватные переменные", "/icons/Menu/Privates.png",
                Sapfor.getPrivatesTransformationsCodes()));
        addSeparator();
        add(new PassesSubMenu("Процедуры", "/icons/Menu/Functions.png",
                Sapfor.getProceduresTransformationsCodes()));
        addSeparator();
        add(new PassesSubMenu("Директивы", "/icons/Directives.png",
                Sapfor.getDVMTransformationsCodes()));
        addSeparator();
        add(new PassesSubMenu("Интервалы", "/icons/Menu/Intervals.png",
                Sapfor.getIntervalsTransformationsCodes()
        ));
        addSeparator();
        add(new PassesSubMenu("Области распараллеливания", "/icons/Menu/Regions.png",
                Sapfor.getRegionsTransformationsCodes()
        ));
        addSeparator();
        add(Global.mainModule.getPass(PassCode.SPF_SharedMemoryParallelization).createMenuItem());
        addSeparator();
        add(new PassesSubMenu("Предобработка проекта", "/icons/Menu/Preprocessing.png",
                        Sapfor.getPreparationTransformationsCodes()
                )
        );
    }
}